net.minecraft.server.management

## Class LowerStringMap

- java.lang.Object
- - net.minecraft.server.management.LowerStringMap

- All Implemented Interfaces:
    java.util.Map

      public class LowerStringMap
      extends java.lang.Object
      implements java.util.Map

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowerStringMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object par1Obj)`
    `boolean` | `containsValue(java.lang.Object par1Obj)`
    `java.util.Set` | `entrySet()`
    `java.lang.Object` | `get(java.lang.Object par1Obj)`
    `boolean` | `isEmpty()`
    `java.util.Set` | `keySet()`
    `java.lang.Object` | `put(java.lang.Object par1Obj, java.lang.Object par2Obj)`
    `java.lang.Object` | `put(java.lang.String par1Str, java.lang.Object par2Obj)`
    `void` | `putAll(java.util.Map par1Map)`
    `java.lang.Object` | `remove(java.lang.Object par1Obj)`
    `int` | `size()`
    `java.util.Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LowerStringMap

          public LowerStringMap()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map`

    - #### containsKey

          public boolean containsKey(java.lang.Object par1Obj)

      Specified by:
        `containsKey` in interface `java.util.Map`

    - #### containsValue

          public boolean containsValue(java.lang.Object par1Obj)

      Specified by:
        `containsValue` in interface `java.util.Map`

    - #### get

          public java.lang.Object get(java.lang.Object par1Obj)

      Specified by:
        `get` in interface `java.util.Map`

    - #### put

          public java.lang.Object put(java.lang.String par1Str,
                             java.lang.Object par2Obj)

    - #### remove

          public java.lang.Object remove(java.lang.Object par1Obj)

      Specified by:
        `remove` in interface `java.util.Map`

    - #### putAll

          public void putAll(java.util.Map par1Map)

      Specified by:
        `putAll` in interface `java.util.Map`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map`

    - #### keySet

          public java.util.Set keySet()

      Specified by:
        `keySet` in interface `java.util.Map`

    - #### values

          public java.util.Collection values()

      Specified by:
        `values` in interface `java.util.Map`

    - #### entrySet

          public java.util.Set entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map`

    - #### put

          public java.lang.Object put(java.lang.Object par1Obj,
                             java.lang.Object par2Obj)

      Specified by:
        `put` in interface `java.util.Map`